
RADOS - Bug #42455

nautilus: "ceph smart" should not require write access

10/24/2019 07:37 AM - Kefu Chai

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Kefu Chai   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Component(RADOS):  

Regression: No Pull request ID: 31111

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

2019-10-14T07:31:58.833+0000 7f20c62d7700  1 -- [v2:172.21.15.5:3300/0,v1:172.21.15.5:6789/0] --> 

172.21.15.5:0/12358 -- command_reply(tid 33: -1 insufficient caps) v1 -- 0x56189

759f340 con 0x5618979a4800

2019-10-14T07:31:58.833+0000 7f20cdb75700 -1 asok(0x561895dd8000) AdminSocket: request '[{"prefix"

: "smart", "devid": "INTEL_SSDPED1D480GA_PHMB751300EW480DGN", "format": "json"}]' not defined

2019-10-14T07:31:58.833+0000 7f20cdb75700  1 -- [v2:172.21.15.5:3300/0,v1:172.21.15.5:6789/0] --> 

172.21.15.5:0/12358 -- command_reply(tid 33: -22 unknown command prefix smart) v1 -- 0x56189744600

0 con 0x5618979a4800

 

this issue only impacts nautilus. as it's the first LTS release that supports "smart" command.

History

#1 - 10/24/2019 07:43 AM - Kefu Chai

- Project changed from mgr to RADOS

- Status changed from New to Fix Under Review

- Pull request ID set to 31111

#2 - 10/24/2019 07:43 AM - Kefu Chai

- Assignee set to Kefu Chai

#3 - 10/24/2019 07:44 AM - Kefu Chai

- Subject changed from "ceph smart" should not require write access to nautilus: "ceph smart" should not require write access

- Backport deleted (nautilus)

#4 - 10/24/2019 07:44 AM - Kefu Chai

- Description updated

#5 - 11/06/2019 08:18 PM - Yuri Weinstein

https://github.com/ceph/ceph/pull/31111 merged

#6 - 11/07/2019 11:33 AM - Nathan Cutler
https://github.com/ceph/ceph/pull/31111


- Status changed from Fix Under Review to Resolved
